<!DOCTYPE html>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<html>
<head>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<meta charset="utf-8">
<title>Bench4Q</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description"
	content="Bench4Q, a new method for QOS benchmarking.">
<link id="bs-css" href="lib/chrisma/css/bootstrap-cerulean.css"
	rel="stylesheet">
<link
	href="http://ajax.aspnetcdn.com/ajax/bootstrap/2.3.2/css/bootstrap-responsive.css"
	rel="stylesheet">
<link rel="shortcut icon" href="image/bench4q.png">
<link href="lib/chrisma/css/charisma-app.css" rel="stylesheet">
<link href='lib/chrisma/css/opa-icons.css' rel='stylesheet'>
<!-- <link href="http://cdn.alloyui.com/2.5.0/aui-css/css/bootstrap.min.css"
	rel="stylesheet"></link> -->
<link href='css/editor.css' rel='stylesheet'>

<!-- The HTML5 shim, for IE6-8 support of HTML5 elements -->
<!--[if lt IE 9]>
	  <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->

<!-- The fav icon -->
</head>
<body>
	<fmt:bundle basename="i18n">
		<jsp:include page="publiccontrol/navigatebar.jsp"></jsp:include>
		<div class="container-fluid">
			<div class="row-fluid">
				<jsp:include page="publiccontrol/leftmenubar.jsp"></jsp:include>
				<div class="tab span10">
					<ul style="cursor: pointer" class="nav nav-tabs">
						<li id="tow1" class="on" onclick='refresh();setTab("tow",1,3);'><a
							href="#">View</a></li>
						<li id="tow2" onclick='setTab("tow",2,3);'><a href="#">EditBehaviors</a></li>
						<li id="tow3" onclick='setTab("tow",3,3);'><a href="#">EditPlugins</a></li>
					</ul>
				</div>
				<div class="span10">
					<div id="cont_tow_1" class="one block">
						<div id="contents" class="span12">
							<div id="codeEditor" class="view"></div>
						</div>
						<%-- 	<jsp:include page="publiccontrol/scriptEditRightMenuBar.jsp"></jsp:include> --%>
					</div>
					<div id="cont_tow_2" class="one" style="display: none">
						<div class="all-plugins btn-group span12">
							<a class="btn dropdown-toggle" href="#" data-toggle="dropdown">
								<span class="hidden-phone"> All plug-ins </span> <span
								class="caret"></span>
							</a>
							<ul class="dropdown-menu" id="allPlugins">
								<li><a onclick="choosePlugin(this);">All</a></li>
								<li class="divider"></li>
							</ul>
						</div>

						<div class="row-fluid">
							<div id="behaviors" class="all-behaviors span4">
								<ul id="behaviorUl">
								</ul>
							</div>
							<div class="span8">
								<div id="showPluginMethodForm"></div>
								<div id="action" style="display: none">
									<button type="button" class="btn btn-primary" id="submit"
										title="save edit">
										<fmt:message key="script_edit_jsp_save"></fmt:message>
									</button>
									<button type="button" class="btn btn-primary" id="cancel"
										title="cancel edit">
										<fmt:message key="script_edit_jsp_cancel" />
									</button>
									<button type="button" class="btn btn-primary" id="validate"
										title="validate edit">
										<fmt:message key="script_edit_jsp_validate"></fmt:message>
									</button>
								</div>
							</div>
						</div>
					</div>

					<div id="cont_tow_3" class="one" style="display: none">
						<div class="all-plugins btn-group span12">
							<a class="btn dropdown-toggle" href="#" data-toggle="dropdown">
								<span class="hidden-phone"> All plug-ins </span> <span
								class="caret"></span>
							</a>
							<ul class="dropdown-menu" id="allPlugins">
								<li><a onclick="choosePlugin(this);">All</a></li>
								<li class="divider"></li>
							</ul>
						</div>

						<div class="row-fluid">
							<div id="usePlugins" class="all-behaviors span4">
								<ul id="usePlugin">
								</ul>
							</div>
							<div class="span8">
								<div id="pluginParamArea"></div>
							</div>
						</div>
						<div id="usePluginAction" style="float: right">
							<button type="button" class="btn btn-primary" id="submitPlugin"
								title="save edit">
								<fmt:message key="script_edit_jsp_save"></fmt:message>
							</button>
							<button type="button" class="btn btn-primary" id="cancel"
								title="cancel edit">
								<fmt:message key="script_edit_jsp_cancel" />
							</button>
							<button type="button" class="btn btn-primary" id="validate"
								title="validate edit">
								<fmt:message key="script_edit_jsp_validate"></fmt:message>
							</button>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- </div> -->
		<hr>
		<jsp:include page="publiccontrol/footer.jsp"></jsp:include>


		<script
			src="http://ajax.aspnetcdn.com/ajax/jQuery/jquery-2.1.0.min.js"></script>
		<script src="lib/jquery/js/jquery-ui-1.10.4.js"></script>
		<script
			src='http://ajax.aspnetcdn.com/ajax/jquery.dataTables/1.9.4/jquery.dataTables.min.js'></script>
		<script
			src="http://ajax.aspnetcdn.com/ajax/bootstrap/2.3.1/bootstrap.min.js"></script>
		<script src="lib/jqueryi18n/jquery.i18n.properties-1.0.9.js"></script>
		<script src="script/base.js"></script>
		<script src="lib/chrisma/js/jquery.cookie.js"></script>
		<script src="lib/chrisma/js/theme.js"></script>
		<script src="http://cdn.alloyui.com/2.5.0/aui/aui-min.js"></script>
		<script src="lib/bootstrap/js/bootstrap-collapse.js"></script>
		<script src="script/ScriptEditor/pluginCommon.js"></script>
		<script src="script/ScriptEditor/paramInfosForm.js"></script>
		<script src="script/ScriptEditor/pluginModel.js"></script>
		<script src="script/ScriptEditor/xmlEditor.js"></script>
		<script src="script/ScriptEditor/editScript.js"></script>
		<script src="lib/other/jquery.noty.packaged.min.js"></script>
		<script src="script/scriptManager/uiFactory.js"></script>
	</fmt:bundle>
</body>
</html>
