<%@page language="java" contentType="text/html; charset=GBK"
	pageEncoding="GBK"%>
<html>
<head>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta http-equiv="pragma" content="no-cache">
<meta http-equiv="cache-control" content="no-cache">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>Bench4Q</title>
<link rel="search" type="application/opensearchdescription+xml"
	href="https://github.com/opensearch.xml" title="GitHub">
<link rel="fluid-icon" href="https://github.com/fluidicon.png"
	title="GitHub">
<link rel="shortcut icon" href="favicon.ico" type="images/x-icon">


<meta content="authenticity_token" name="csrf-param">
<meta content="wedm5SiF4gf6cxpqmjS1xTCRp86Sc8PAssZUiID8N0M="
	name="csrf-token">

<link
	href="lib/github/css/github-6053501db2b69fd2b04652c6349117be14468ce4.css"
	media="screen" rel="stylesheet" type="text/css">
<link
	href="lib/github/css/github2-277183b6724249eea8a7d10300542831eac78d3f.css"
	media="screen" rel="stylesheet" type="text/css">
<link href="css/login.css" rel="stylesheet">
<link id="bs-css" href="lib/chrisma/css/bootstrap-cerulean.css"
	rel="stylesheet">
<script
	src="lib/other/frameworks-a450c7f907bdc1ee6b362ab1ecca811c761fd259.js"
	type="text/javascript"></script>

<!--[if IE]><script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script><link rel="stylesheet" type="text/css" href="flip_ie.css"/><![endif]-->
<!--   <script src="http://www.google.com/jsapi"></script>   -->

<meta http-equiv="Content-Type" content="text/html; charset=utf-8">

</head>

<body class="logged_out wider windows  env-production ">
	<div id="wrapper">
		<div id="header" class="true clearfix" style="height: 50px">
			<div class="container clearfix">
				<a class="site-logo" href="index.jsp"><img id="bench4q"
					src="images/headerLogo.png" height="30" /></a>
				<ul class="top-nav logged_out">
					<li class="login"><a href="index.jsp"><fmt:message
								key="login_jsp_home" /></a></li>
					<li class="login"><a href="register.jsp"><fmt:message
								key="login_jsp_register" /></a></li>
				</ul>
			</div>
		</div>


		<div class="loginDiv">
			<div style="height: 20px"></div>
			<div style="font-size: 18px; margin-left: 280px">
				<h1>
					<fmt:message key="login_jsp_welcome" />
				</h1>
			</div>

			<div style="height: 60px;"></div>
			<div id="div1" style="float: left; width: 270px; height: 300px;"></div>
			<div id="div2"
				style="width: 400px; height: 300px; float: left; background-color: #e9f1f4; border: efefff 1px solid;">

				<div style="width: 100%; height: 100%">
					<div style="width: 100%; height: 40px; background-color: #607989">
						<div style="width: 10%; height: 40px; float: left"></div>
						<div
							style="font-size: 20px; color: #ffffff; padding-top: 5px; font-weight: 900">
							<fmt:message key="login_jsp_signIn" />
							<a style="font-size: 15px; color: #ffffff; font-weight: normal"
								href="register.jsp">(<fmt:message key="login_jsp_register" />)
							</a>
						</div>
					</div>
					<div style="width: 100%; height: 260px;">
						<div style="height: 10px; width: 100%"></div>
						<div style="height: 40px; width: 100% border:black 1px solid;">
							<div
								style="height: 40px; width: 30px; padding-left: 40px; float: left">
								<img src="images/username.jpg" />
							</div>
							<div style="height: 40px; padding-top: 9px;">
								&nbsp;&nbsp;&nbsp;
								<fmt:message key="login_jsp_username" />
							</div>
						</div>
						<div style="height: 2px; width: 100%"></div>
						<div>
							<input autofocus type="text" id="username" name="username"
								style="font-size: 18px; margin-left: 40px; height: 30px; width: 300px;"
								onblur="checkName(this.value)" />
							<div id='alertUserName'
								style='display: none; color: red; margin-left: 40px'>
								<fmt:message key="login_jsp_usernameWarnning" />
							</div>
						</div>
						<div style="height: 10px; width: 100%"></div>
						<div style="height: 40px; width: 100%">
							<div
								style="height: 40px; width: 30; padding-left: 40px; float: left">
								<img src="images/password.jpg" />
							</div>
							<div style="height: 40px; padding-top: 9px;">
								&nbsp;&nbsp;&nbsp;
								<fmt:message key="login_jsp_password" />
							</div>
						</div>
						<div style="height: 10px; width: 100%"></div>
						<div>
							<input type="password" id="password" name="password"
								style="font-size: 18px; margin-left: 40px; height: 30px; width: 300px;"
								onblur="checkPass(this.value)" />
							<div id='alertPassWord'
								style='display: none; color: red; margin-left: 40px'>
								<fmt:message key="login_jsp_passwordWarnning" />
							</div>
						</div>
						<div style="height: 20px; width: 100%"></div>
						<div style="height: 40px; padding-left: 40px;">
							<button type="submit" class="btn btn-large btn-primary"
								onClick="login()">
								<fmt:message key="login_jsp_signIn" />
							</button>
							<button type="submit" class="btn btn-large btn-primary"
								onClick="adminLogin()">
								<fmt:message key="login_jsp_admin" />
							</button>

						</div>
					</div>

				</div>

			</div>
		</div>

	</div>
	<script src="http://ajax.aspnetcdn.com/ajax/jQuery/jquery-2.1.0.min.js"></script>
	<script src="script/login.js"></script>
	<script src="lib/other/jquery.noty.packaged.min.js"></script>
	<script src="script/scriptManager/uiFactory.js"></script>
</body>
</html>
