<!DOCTYPE html>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<html>
<head>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<title>Plug-in Manage</title>
<link id="bs-css" href="lib/chrisma/css/bootstrap-cerulean.css"
	rel="stylesheet">
<link href="lib/chrisma/css/opa-icons.css" rel="stylesheet">
<link
	href="http://ajax.aspnetcdn.com/ajax/bootstrap/2.3.2/css/bootstrap-responsive.css"
	rel="stylesheet">
<link href="lib/chrisma/css/charisma-app.css" rel="stylesheet">
<link rel="shortcut icon" href="images/bench4q.png">
<link href="lib/dataTable/css/jquery.dataTables.css" rel="stylesheet">
</head>
<body>
	<fmt:bundle basename="i18n">
		<jsp:include page="publiccontrol/navigatebar.jsp"></jsp:include>
		<div class="container-fluid">
			<div class="row-fluid">
				<jsp:include page="publiccontrol/adminleftmenubar.jsp"></jsp:include>
				<div id="content" class="span10">
					<div>
						<ul class="breadcrumb">
							<li><a href="homepage.jsp"><fmt:message key="home" /></a> <span
								class="divider">/</span></li>
							<li><a href="pluginManage.jsp"><fmt:message
										key="pluginmanage" /></a></li>
						</ul>
					</div>
					<div class="row-fluid sortable">
						<div class="box span12 center">
							<div class="box-header well" data-original-title>
								<h2>
									<i><fmt:message key="pluginManage_jsp_plugin" /></i>
								</h2>
								<div class="box-icon">
									<a class="btn btn-setting btn-round" onClick="addPlugin();"><i
										class="icon-plus"></i></a> <a class="btn btn-round" id="agentList"><i
										class="icon-list"></i></a> <a class="btn btn-minimize btn-round"><i
										class="icon-chevron-up"></i></a> <a
										class="btn btn-close btn-round"><i class="icon-remove"></i></a>

								</div>
							</div>
							<div class="box-content">
								<table id="addPluginTable"
									class="table table-striped table-bordered bootstrap-datatable datatable">
									<thead>
										<tr>
											<th><fmt:message key="pluginManage_jsp_pluginName" /></th>
											<th><fmt:message key="pluginManage_jsp_createDate" /></th>
											<th><fmt:message key="pluginManage_jsp_action" /></th>
										</tr>
									</thead>
									<tbody>
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
			</div>

			<hr>

			<div class="modal hide fade " id="myModal_plugin">
				<div class="modal-header">
					<button type="button" id="myModal-close" class="close"
						data-dismiss="modal">×</button>
					<h3>
						<fmt:message key="pluginManage_jsp_addPlugin" />
					</h3>
				</div>
				<div class="modal-body">
					<form method="post" enctype="multipart/form-data"
						action="uploadPluginFile">
						<p>
							<fmt:message key="pluginManage_jsp_uploadFile" />
							:<input type="file" name="pluginFile" />
						</p>
						<p>
							<input type="submit" />
						</p>
					</form>
				</div>
				<div class="modal-footer"></div>
			</div>
			<jsp:include page="publiccontrol/footer.jsp"></jsp:include>

		</div>
		<script
			src="http://ajax.aspnetcdn.com/ajax/jQuery/jquery-2.1.0.min.js"></script>
		<script
			src="http://ajax.aspnetcdn.com/ajax/jquery.ui/1.10.4/jquery-ui.min.js"></script>
	<script src="lib/dataTable/js/jquery.dataTables.js"></script>>
		<script src="lib/bootstrap/js/bootstrap-modal.js"></script>
		<script
			src="http://ajax.aspnetcdn.com/ajax/bootstrap/2.3.1/bootstrap.min.js"></script>
		<script src="lib/bootstrap/js/bootstrap-modal.js"></script>
		<script src="lib/chrisma/js/jquery.cookie.js"></script>
		<script src="lib/chrisma/js/theme.js"></script>
		<script src="lib/jqueryi18n/jquery.i18n.properties-1.0.9.js"></script>
		<script src="http://malsup.github.com/jquery.form.js"></script>
		<script src="script/base.js"></script>
		<script src="script/bench4q.table.js"></script>
		<script src="script/admin/pluginManage.js"></script>
		<script src="lib/other/jquery.noty.packaged.min.js"></script>
		<script src="script/scriptManager/uiFactory.js"></script>
	</fmt:bundle>
</body>
</html>