var Container = function() {
	this.pluginListContainer = $("#pluginList");
	this.usePluginContainer = $("#usePlugin");
	this.pluginParamConfigContainer = $("#pluginParams");
	this.behaviorListForPlugin = $("#pluginMethod");
	this.usePluginModal=$("#insertPluginAreaPlugins")
	this.useBehaviorListContainer = $("#behaviorArea");
	this.behaviorParamConfigContianer = $("#showPluginMethod");

};
var ListContainer = function(container) {
	this.conteiner = container;

};

Container.prototype.createALine = function(name, index, list) {
	var div = document.createElement("div");
	var p = document.createElement("p");
	var i = document.createElement("i");
	var textNode = document.createTextNode(name);
	div.setAttribute("id", name);
	i.setAttribute("class", "icon-hand-right");
	p.setAttribute("id", index);
	p.setAttribute("class", "");
	if (list == "pluginMethodList") {
		p.setAttribute("onClick", "showMethodDocument(this)");// loadMethodParams
	} else if (list == "pluginChoosedList") {
		p.setAttribute("onClick", "choosePlugin(this);");// 此处用于显示plugin文档
	} else if (list == "editPluginChoosedList") {
		p.setAttribute("onClick", "chooseEditPlugin(this);");
	}
	p.setAttribute("style", "cursor:pointer;width:85%");
	p.appendChild(i);
	p.appendChild(textNode);
	div.appendChild(p);
	return div;
};
Container.prototype.showChoosedLines = function(container, clickNode) {
	var choosedNode = container.children();
	for ( var i = 0; i < choosedNode.length; i++) {
		if (i == clickNode) {
			$(choosedNode[i]).find("p").attr("class", "visited");

		} else {
			$(choosedNode[i]).find("p").attr("class", "");
		}
	}
};
Container.prototype.showChoosedParamInfos = function(container, clickNode) {
	var div = container.children();// pluginParams
	for ( var j = 0; j < div.length; j++) {
		if (div[j].getAttribute("id") == clickNode) {
			$(div[j]).show();
		} else {
			$(div[j]).hide();
		}
	}
};

Container.prototype.createBehaviorWithPluginLines = function(behavior) {
	this.behaviorParamConfigContianer.html("");
	this.useBehaviorListContainer.html("");
	for ( var j = 0; j < behavior.behaviorWithPluginList.length; j++) {
		var div = this.createALine(behavior.behaviorWithPluginList[j], j,
				"pluginMethodList");
		if (j == behavior.clickPluginBehaviorNode) {
			$(div).find("p").attr("class", "visited");
		}
		document.getElementById('behaviorArea').appendChild(div);
		behavior.useParamInforsContainerInit(j);
	}
};

Container.prototype.createParamInforsContainer = function(data, name, index) {
	var documentHtml = "";
	var boxHeader = "";
	var paramHtml = "";
	boxHeader = "<div class='box-header well' data-original-title> "
			+ "<i class='icon-pencil left'></i>" + "<h2>sample:<i>" + name
			+ "</i></h2></div>";
	if (data != null) {
		paramHtml = createPluginsOrBehaviorsForm(data, index);
	}
	documentHtml = "<div id='" + index + "' class='hide'><p class='hide'>"
			+ name + "</p><div class='span12 box' style='margin-left:-2px;'>"
			+ boxHeader + "<div class='box-content'>" + paramHtml + "</div>"
			+ "</div></div>";
	return documentHtml;
};

